from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XGridDataListener(XEventListener, Protocol):
    def rowsInserted(self, Event: GridDataEvent) -> None: ...
    def rowsRemoved(self, Event: GridDataEvent) -> None: ...
    def dataChanged(self, Event: GridDataEvent) -> None: ...
    def rowHeadingChanged(self, Event: GridDataEvent) -> None: ...
